Package org.opengis.cite.iso19142.locking

# Class LockingFixture

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.locking.LockingFixture

Direct Known Subclasses:
  `GetFeatureWithLockTests`, `LockFeatureTests`

public class LockingFixture extends BaseFixture
Provides configuration methods that facilitate the testing of locking behavior specified for the "Locking WFS" conformance level.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DataSampler`
  `dataSampler`
  Acquires and saves sample feature data.
  `protected List<String>`
  `locks`
  List containing lock identifiers
  `protected String`
  `storedQueryId`
  Identifier for GetFeatureById stored query

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LockingFixture()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initLockingFixture(org.testng.ITestContext testContext)`
  Obtains a DataSampler object from the test run context (the value of the `SuiteAttribute.SAMPLER attribute`).
  `void`
  `releaseAllLocks()`
  Releases all locks by submitting empty Transaction requests that include the lockId and releaseAction (="ALL") attributes.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### locks

    protected List<String> locks
    List containing lock identifiers

  - ### dataSampler

    protected DataSampler dataSampler
    Acquires and saves sample feature data.

  - ### storedQueryId

    protected String storedQueryId
    Identifier for GetFeatureById stored query

- ## Constructor Details

  - ### LockingFixture

    public LockingFixture()

- ## Method Details

  - ### initLockingFixture

    @BeforeClass public void initLockingFixture(org.testng.ITestContext testContext)
    Obtains a DataSampler object from the test run context (the value of the `SuiteAttribute.SAMPLER attribute`).
    Parameters:
      `testContext` - The test run context.

  - ### releaseAllLocks

    @AfterMethod public void releaseAllLocks()
    Releases all locks by submitting empty Transaction requests that include the lockId and releaseAction (="ALL") attributes. An unsuccessful request is logged (as a `Level.WARNING`).